Bug 1185872 (CVE-2021-2154)

Summary: VUL-0: CVE-2021-2154: mysql,mariadb,mariadb-100: mysql: Server: DML unspecified vulnerability can lead to complete DOS (CPU Apr 2021)
Product: [Novell Products] SUSE Security Incidents Reporter: Gianluca Gabrielli <gianluca.gabrielli>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: carlos.lopez, danilo.spinella, kstreitova, meissner, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/282404/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-2154:4.9:(AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Gianluca Gabrielli 2021-05-10 15:21:38 UTC
CVE-2021-2154

Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: DML). Supported versions that are affected are 5.7.33 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

https://www.oracle.com/security-alerts/cpuapr2021.html#AppendixMSQL

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1951752
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-2154
https://www.oracle.com/security-alerts/cpuapr2021.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-2154
Comment 1 Gianluca Gabrielli 2021-05-10 15:21:49 UTC
Affected packages:
- SUSE:SLE-11:Update/mysql                              5.0.96
- SUSE:SLE-12-SP2:Update:Products:Cloud7:Update/mariadb 10.2.36
- SUSE:SLE-12-SP4:Update/mariadb                        10.2.36
- SUSE:SLE-15:Update/mariadb                            10.2.37
- SUSE:SLE-15-SP2:Update/mariadb                        10.4.17
- SUSE:SLE-15-SP3:Update/mariadb                        10.5.8
- openSUSE:Factory/mariadb                              10.5.9

not sure about the following packages, maintainer point-of-view is required:
- SUSE:SLE-12-SP4:Update/mariadb-100                    10.0.40.4
- SUSE:SLE-12-SP1:Update/mariadb                        10.0.40.4

Upstream patches are within these changes [0][1][2][3].

[0] https://github.com/MariaDB/server/compare/mariadb-10.2.37...mariadb-10.2.38
[1] https://github.com/MariaDB/server/compare/mariadb-10.3.28...mariadb-10.3.29
[2] https://github.com/MariaDB/server/compare/mariadb-10.4.18...mariadb-10.4.19
[3] https://github.com/MariaDB/server/compare/mariadb-10.5.9...mariadb-10.5.10
Comment 7 Swamp Workflow Management 2021-06-28 19:37:40 UTC
SUSE-RU-2021:2185-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1179921,1183878,1185868,1185870,1185872,1187459
CVE References: 
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    mariadb-connector-c-3.1.13-2.27.1
SUSE OpenStack Cloud 9 (src):    mariadb-connector-c-3.1.13-2.27.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    mariadb-connector-c-3.1.13-2.27.1
SUSE Linux Enterprise Server 12-SP5 (src):    mariadb-connector-c-3.1.13-2.27.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    mariadb-connector-c-3.1.13-2.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-07-06 19:18:52 UTC
SUSE-RU-2021:2265-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1179921,1183878,1185868,1185870,1185872,1187459
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Manager Retail Branch Server 4.0 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Manager Proxy 4.0 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Server for SAP 15 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Server 15-LTSS (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE Enterprise Storage 6 (src):    mariadb-connector-c-3.1.13-3.30.1
SUSE CaaS Platform 4.0 (src):    mariadb-connector-c-3.1.13-3.30.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-07-10 01:16:47 UTC
openSUSE-RU-2021:1018-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1179921,1183878,1185868,1185870,1185872,1187459
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    mariadb-connector-c-3.1.13-lp152.10.1
Comment 10 Swamp Workflow Management 2021-07-11 14:03:35 UTC
openSUSE-RU-2021:2265-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1179921,1183878,1185868,1185870,1185872,1187459
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    mariadb-connector-c-3.1.13-3.30.1
Comment 14 Swamp Workflow Management 2021-08-04 16:18:23 UTC
openSUSE-SU-2021:2605-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1182739,1183770,1185870,1185872
CVE References: CVE-2021-2154,CVE-2021-2166,CVE-2021-27928
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    mariadb-10.5.11-3.3.1
Comment 15 Swamp Workflow Management 2021-08-04 16:26:46 UTC
SUSE-SU-2021:2605-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1182739,1183770,1185870,1185872
CVE References: CVE-2021-2154,CVE-2021-2166,CVE-2021-27928
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    mariadb-10.5.11-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-08-05 13:32:25 UTC
openSUSE-SU-2021:2616-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1182739,1183770,1185870,1185872
CVE References: CVE-2021-2154,CVE-2021-2166,CVE-2021-27928
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    mariadb-10.4.20-3.9.1
Comment 17 Swamp Workflow Management 2021-08-05 13:48:05 UTC
SUSE-SU-2021:2617-1: An update that solves four vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1182739,1183770,1185868,1185870,1185872,1188300
CVE References: CVE-2021-2154,CVE-2021-2166,CVE-2021-2180,CVE-2021-27928
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    mariadb-10.2.39-3.40.1
SUSE Manager Retail Branch Server 4.0 (src):    mariadb-10.2.39-3.40.1
SUSE Manager Proxy 4.0 (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise Server for SAP 15 (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise Server 15-LTSS (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    mariadb-10.2.39-3.40.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    mariadb-10.2.39-3.40.1
SUSE Enterprise Storage 6 (src):    mariadb-10.2.39-3.40.1
SUSE CaaS Platform 4.0 (src):    mariadb-10.2.39-3.40.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2021-08-05 14:11:54 UTC
openSUSE-SU-2021:2617-1: An update that solves four vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1182739,1183770,1185868,1185870,1185872,1188300
CVE References: CVE-2021-2154,CVE-2021-2166,CVE-2021-2180,CVE-2021-27928
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    mariadb-10.2.39-3.40.1
Comment 19 Swamp Workflow Management 2021-08-05 14:58:06 UTC
SUSE-SU-2021:2616-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1182739,1183770,1185870,1185872
CVE References: CVE-2021-2154,CVE-2021-2166,CVE-2021-27928
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    mariadb-10.4.20-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2021-08-06 13:30:31 UTC
SUSE-SU-2021:2634-1: An update that solves four vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1182739,1183770,1185868,1185870,1185872,1188300
CVE References: CVE-2021-2154,CVE-2021-2166,CVE-2021-2180,CVE-2021-27928
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    mariadb-10.2.39-3.36.1
SUSE OpenStack Cloud 9 (src):    mariadb-10.2.39-3.36.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    mariadb-10.2.39-3.36.1
SUSE Linux Enterprise Server 12-SP5 (src):    mariadb-10.2.39-3.36.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    mariadb-10.2.39-3.36.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Marcus Meissner 2021-08-11 11:20:27 UTC
released
Comment 22 Gianluca Gabrielli 2021-11-30 14:19:12 UTC
Hi cloud team, please submit for SUSE:SLE-12-SP3:Update:Products:Cloud8:Update.
Comment 23 Christian Almeida de Oliveira 2021-11-30 17:22:35 UTC
Fixes for SOC 8 only if the base score is higher than 7, which is not the case for this CVE. Back to Security team.
Comment 24 Gianluca Gabrielli 2021-12-23 15:59:06 UTC
Ciao Danilo,

we realized you mistyped the CVE ID in (CVE-2021-2145 instead of CVE-2021-2154):
 - SUSE:SLE-15-SP3:Update/mariadb/mariadb.changes
 - SUSE:SLE-15-SP4:Update/mariadb/mariadb.changes

Please submit a fix.

@Marcus: I'm pretty sure we have scripts in place that may have misused this typo. What/how should we manually fix?
PS: we might want to think to a dedicated check for python-checkers for that kind of mistakes.
Comment 25 Danilo Spinella 2021-12-24 16:33:49 UTC
Ciao Gianluca,

I am sorry for the typo, I have just submitted the fix in all the affected codestreams and in Factory as well.
Comment 27 Carlos López 2022-06-10 12:42:44 UTC
Done, closing.